package Testate.Stream.SortAlgorithm;

import java.util.*;

public class SortAlgorthm {
	
	public static void main(String[] args) {
		
		int[] zahlen = {10,5,11,3};
		TreeSet<Person> ts = new TreeSet<>();
		ts.add(new Person("obai",12));
		for(Person p : ts)
			System.out.println(p.toString());
		
		
		
	}
	
	public static void insertionSort(int[] zahlen) {
		
		for (int i = 1; i < zahlen.length; i++) {
			
			int merker = zahlen[i];
			int j = i - 1;
			while(j >= 0 && zahlen[j] > merker) {
				zahlen[j+1] = zahlen[j];
				j--;
			}
			
			zahlen[j+1] = merker;
		}
	}
	
	public static void selectionSort(int[] zahlen) {
		for (int i = 0; i < zahlen.length; i++) {
			
			int merker = i;
			for (int j = i + 1; j < zahlen.length ; j++) {
				if (zahlen[j] < zahlen[merker])
					merker = j;
			}
			int temp = zahlen[merker];
			zahlen[merker] = zahlen[i];
			zahlen[i] = temp;
		}
	}
	
	
	
	public static void bubbleSort(int[] zahlen) {
		boolean tauch;

		for (int i = 0; i < zahlen.length - 1; i++) {
			tauch = false;
			for (int j = 0; j < zahlen.length - 1; j++)
				if (zahlen[j] > zahlen[j + 1]) {
					int temp = zahlen[j];
					zahlen[j] = zahlen[j + 1];
					zahlen[j + 1] = temp;
					tauch = true;
				}

			if (!tauch)
				break;
		}
	}
}
